summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author无闻 <joe2010xtmf@163.com>2014-07-25 19:13:05 -0400
committer无闻 <joe2010xtmf@163.com>2014-07-25 19:13:05 -0400
commit3e23241f58695e569a0c0d91100e349cf71043aa (patch)
tree2e5af0f9e7427c7bb92e53379266a32485ac3cfa
parent5ed5912ef52c8f056c66cb896136249faa8904bd (diff)
parentaea2b54c99f8456c9a5b2aa4585693ec44f0c4f7 (diff)
downloadgitea-3e23241f58695e569a0c0d91100e349cf71043aa.tar.gz
gitea-3e23241f58695e569a0c0d91100e349cf71043aa.zip
Merge pull request #327 from ciarand/dev
Update the Docker build's Go source and version
-rwxr-xr-xdockerfiles/build.sh3
-rw-r--r--dockerfiles/images/gogits/Dockerfile2
2 files changed, 4 insertions, 1 deletions
diff --git a/dockerfiles/build.sh b/dockerfiles/build.sh
index b658db4ecd..4617da1421 100755
--- a/dockerfiles/build.sh
+++ b/dockerfiles/build.sh
@@ -10,6 +10,9 @@ HOST_PORT="YOUR_HOST_PORT" # The port on host, which will be redirected t
# apt source, you can select 'nchc'(mirror in Taiwan) or 'aliyun'(best for mainlance China users) according to your network, if you could connect to the official unbunt mirror in a fast speed, just leave it to "".
APT_SOURCE=""
+# fail immediately if anything goes wrong
+set -e
+
DOCKER_BIN=$(which docker.io || which docker)
if [ -z "$DOCKER_BIN" ] ; then
echo "Please install docker. You can install docker by running \"wget -qO- https://get.docker.io/ | sh\"."
diff --git a/dockerfiles/images/gogits/Dockerfile b/dockerfiles/images/gogits/Dockerfile
index 1f67d41ed9..a171e15e3b 100644
--- a/dockerfiles/images/gogits/Dockerfile
+++ b/dockerfiles/images/gogits/Dockerfile
@@ -13,7 +13,7 @@ ENV GOPATH /go
RUN apt-get update && apt-get install --yes --force-yes curl git mercurial zip wget ca-certificates build-essential
RUN apt-get install -yq vim sudo
-RUN curl -s http://docker.u.qiniudn.com/go1.2.1.src.tar.gz | tar -v -C /usr/local -xz
+RUN curl -sL https://golang.org/dl/go1.3.linux-amd64.tar.gz | tar -v -C /usr/local -xz
RUN cd /usr/local/go/src && ./make.bash --no-clean 2>&1
RUN go get -u -d github.com/gogits/gogs